<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>convert_b &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>convert_b
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.3% of total for procedures.">53 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/interpreter.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/interpreter.f03.html'>interpreter.f03</a></li>
    
  
     <li class="active">convert_b</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
subroutine convert_b(text)
    
    
   
</h2>
    
  


    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-text"></span>character(len=255)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>text</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~convert_b~~CalledByGraph Pages: 1 -->
<svg id="procconvert_bCalledByGraph" width="495pt" height="189pt"
 viewBox="0.00 0.00 495.00 189.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~convert_b~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 185)">
<title>proc~~convert_b~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-185 491,-185 491,4 -4,4"/>
<!-- proc~convert_b -->
<g id="proc~~convert_b~~CalledByGraph_node1" class="node">
<title>proc~convert_b</title>
<polygon fill="none" stroke="#000000" points="487,-66 427,-66 427,-42 487,-42 487,-66"/>
<text text-anchor="middle" x="457" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">convert_b</text>
</g>
<!-- proc~init -->
<g id="proc~~convert_b~~CalledByGraph_node2" class="node">
<title>proc~init</title>
<g id="a_proc~~convert_b~~CalledByGraph_node2"><a xlink:href=".././proc/init.html" xlink:title="init">
<polygon fill="#d9534f" stroke="#d9534f" points="391,-66 337,-66 337,-42 391,-42 391,-66"/>
<text text-anchor="middle" x="364" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">init</text>
</a>
</g>
</g>
<!-- proc~init&#45;&gt;proc~convert_b -->
<g id="proc~~convert_b~~CalledByGraph_edge1" class="edge">
<title>proc~init&#45;&gt;proc~convert_b</title>
<path fill="none" stroke="#000000" d="M391.4001,-54C399.3231,-54 408.1416,-54 416.6774,-54"/>
<polygon fill="#000000" stroke="#000000" points="416.8698,-57.5001 426.8698,-54 416.8698,-50.5001 416.8698,-57.5001"/>
</g>
<!-- proc~getexprvalue -->
<g id="proc~~convert_b~~CalledByGraph_node3" class="node">
<title>proc~getexprvalue</title>
<g id="a_proc~~convert_b~~CalledByGraph_node3"><a xlink:href=".././proc/getexprvalue.html" xlink:title="getExprValue">
<polygon fill="#d94e8f" stroke="#d94e8f" points="277.5,-129 201.5,-129 201.5,-105 277.5,-105 277.5,-129"/>
<text text-anchor="middle" x="239.5" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">getExprValue</text>
</a>
</g>
</g>
<!-- proc~getexprvalue&#45;&gt;proc~init -->
<g id="proc~~convert_b~~CalledByGraph_edge2" class="edge">
<title>proc~getexprvalue&#45;&gt;proc~init</title>
<path fill="none" stroke="#000000" d="M263.5049,-104.853C282.7091,-95.1352 309.842,-81.4052 331.075,-70.6609"/>
<polygon fill="#000000" stroke="#000000" points="332.7265,-73.7478 340.0688,-66.1097 329.5659,-67.5019 332.7265,-73.7478"/>
</g>
<!-- proc~getfieldvalue -->
<g id="proc~~convert_b~~CalledByGraph_node4" class="node">
<title>proc~getfieldvalue</title>
<g id="a_proc~~convert_b~~CalledByGraph_node4"><a xlink:href=".././proc/getfieldvalue.html" xlink:title="getFieldValue">
<polygon fill="#d94e8f" stroke="#d94e8f" points="278,-66 201,-66 201,-42 278,-42 278,-66"/>
<text text-anchor="middle" x="239.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">getFieldValue</text>
</a>
</g>
</g>
<!-- proc~getfieldvalue&#45;&gt;proc~init -->
<g id="proc~~convert_b~~CalledByGraph_edge3" class="edge">
<title>proc~getfieldvalue&#45;&gt;proc~init</title>
<path fill="none" stroke="#000000" d="M278.2101,-54C293.6374,-54 311.3268,-54 326.6197,-54"/>
<polygon fill="#000000" stroke="#000000" points="326.767,-57.5001 336.7669,-54 326.7669,-50.5001 326.767,-57.5001"/>
</g>
<!-- proc~getboundaryfieldvalue -->
<g id="proc~~convert_b~~CalledByGraph_node5" class="node">
<title>proc~getboundaryfieldvalue</title>
<g id="a_proc~~convert_b~~CalledByGraph_node5"><a xlink:href=".././proc/getboundaryfieldvalue.html" xlink:title="getBoundaryFieldValue">
<polygon fill="#d94e8f" stroke="#d94e8f" points="301,-24 178,-24 178,0 301,0 301,-24"/>
<text text-anchor="middle" x="239.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">getBoundaryFieldValue</text>
</a>
</g>
</g>
<!-- proc~getboundaryfieldvalue&#45;&gt;proc~init -->
<g id="proc~~convert_b~~CalledByGraph_edge4" class="edge">
<title>proc~getboundaryfieldvalue&#45;&gt;proc~init</title>
<path fill="none" stroke="#000000" d="M275.1767,-24.0355C291.3619,-29.4956 310.4977,-35.951 326.8552,-41.4692"/>
<polygon fill="#000000" stroke="#000000" points="326.0357,-44.8865 336.6298,-44.7667 328.2733,-38.2537 326.0357,-44.8865"/>
</g>
<!-- proc~setinternalfield -->
<g id="proc~~convert_b~~CalledByGraph_node6" class="node">
<title>proc~setinternalfield</title>
<g id="a_proc~~convert_b~~CalledByGraph_node6"><a xlink:href=".././proc/setinternalfield.html" xlink:title="setInternalField">
<polygon fill="#d9534f" stroke="#d9534f" points="113.5,-55 28.5,-55 28.5,-31 113.5,-31 113.5,-55"/>
<text text-anchor="middle" x="71" y="-40.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setInternalField</text>
</a>
</g>
</g>
<!-- proc~setinternalfield&#45;&gt;proc~getfieldvalue -->
<g id="proc~~convert_b~~CalledByGraph_edge8" class="edge">
<title>proc~setinternalfield&#45;&gt;proc~getfieldvalue</title>
<path fill="none" stroke="#000000" d="M113.5197,-45.7758C136.9791,-47.3072 166.2136,-49.2157 190.6134,-50.8086"/>
<polygon fill="#000000" stroke="#000000" points="190.5368,-54.3109 200.7436,-51.4699 190.9928,-47.3258 190.5368,-54.3109"/>
</g>
<!-- proc~fileparsing -->
<g id="proc~~convert_b~~CalledByGraph_node7" class="node">
<title>proc~fileparsing</title>
<g id="a_proc~~convert_b~~CalledByGraph_node7"><a xlink:href=".././proc/fileparsing.html" xlink:title="fileParsing">
<polygon fill="#d9534f" stroke="#d9534f" points="102,-181 40,-181 40,-157 102,-157 102,-181"/>
<text text-anchor="middle" x="71" y="-166.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">fileParsing</text>
</a>
</g>
</g>
<!-- proc~fileparsing&#45;&gt;proc~getexprvalue -->
<g id="proc~~convert_b~~CalledByGraph_edge5" class="edge">
<title>proc~fileparsing&#45;&gt;proc~getexprvalue</title>
<path fill="none" stroke="#000000" d="M102.1457,-159.9362C114.5622,-156.2841 128.9739,-151.9968 142,-148 158.4528,-142.9518 176.418,-137.2843 192.394,-132.1893"/>
<polygon fill="#000000" stroke="#000000" points="193.5936,-135.4804 202.053,-129.1017 191.4621,-128.8128 193.5936,-135.4804"/>
</g>
<!-- proc~expressionparsingwithfield -->
<g id="proc~~convert_b~~CalledByGraph_node8" class="node">
<title>proc~expressionparsingwithfield</title>
<g id="a_proc~~convert_b~~CalledByGraph_node8"><a xlink:href=".././proc/expressionparsingwithfield.html" xlink:title="expressionParsingWithField">
<polygon fill="#d9534f" stroke="#d9534f" points="142,-139 0,-139 0,-115 142,-115 142,-139"/>
<text text-anchor="middle" x="71" y="-124.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">expressionParsingWithField</text>
</a>
</g>
</g>
<!-- proc~expressionparsingwithfield&#45;&gt;proc~getexprvalue -->
<g id="proc~~convert_b~~CalledByGraph_edge6" class="edge">
<title>proc~expressionparsingwithfield&#45;&gt;proc~getexprvalue</title>
<path fill="none" stroke="#000000" d="M142.4592,-122.7591C158.9297,-121.7816 176.068,-120.7645 191.2766,-119.8619"/>
<polygon fill="#000000" stroke="#000000" points="191.6903,-123.3436 201.4654,-119.2572 191.2755,-116.3559 191.6903,-123.3436"/>
</g>
<!-- proc~expressionparsing -->
<g id="proc~~convert_b~~CalledByGraph_node9" class="node">
<title>proc~expressionparsing</title>
<g id="a_proc~~convert_b~~CalledByGraph_node9"><a xlink:href=".././proc/expressionparsing.html" xlink:title="expressionParsing">
<polygon fill="#d9534f" stroke="#d9534f" points="120.5,-97 21.5,-97 21.5,-73 120.5,-73 120.5,-97"/>
<text text-anchor="middle" x="71" y="-82.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">expressionParsing</text>
</a>
</g>
</g>
<!-- proc~expressionparsing&#45;&gt;proc~getexprvalue -->
<g id="proc~~convert_b~~CalledByGraph_edge7" class="edge">
<title>proc~expressionparsing&#45;&gt;proc~getexprvalue</title>
<path fill="none" stroke="#000000" d="M120.6442,-94.428C143.0371,-98.6806 169.3777,-103.683 191.5637,-107.8964"/>
<polygon fill="#000000" stroke="#000000" points="190.9583,-111.3439 201.4358,-109.7712 192.2644,-104.4668 190.9583,-111.3439"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>